
QGIS Application - Bug report #12256

Removing WFS layer from TOC crashes QGIS

2015-02-24 11:44 AM - Spencer Gardner

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 20441

Description

When I remove a WFS layer from the table of contents the application crashes. I'm using Windows 7. This occurs on the 2.8 release as

well as the latest nightly.

For reference, I'm using the WFS at this location:

http://wfs.ksdot.org/arcgis_web_adaptor/rest/services/Accident/Accidents_WFS/MapServer/WFSServer

History

#1 - 2015-02-24 12:08 PM - Giovanni Manghi

- Subject changed from Removing WMS layer from TOC crashes QGIS to Removing WFS layer from TOC crashes QGIS

- Status changed from Open to Feedback

- Operating System deleted (Windows)

- OS version deleted (7)

Is the ticket about wfs, not wms, right?

I confirm the crash with this particular service, but not others.

Did it worked ok in previous releases?

giovanni@sibirica:~/git/postgis_geoprocessing > qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: Bus::open: Can not get ibus-daemon's address. 

IBusInputContext::createInputContext: no connection to ibus-daemon 

Warning: QGraphicsScene::addItem: item has already been added to this scene

DEBUG:PyQt4.uic.uiparser:UI version is 4.0

DEBUG:PyQt4.uic.uiparser:uiname is ManageConnectionsDialog

DEBUG:PyQt4.uic.uiparser:toplevel widget is QDialog

DEBUG:PyQt4.uic.properties:setting property geometry

DEBUG:PyQt4.uic.properties:setting property windowTitle

DEBUG:PyQt4.uic.uiparser:push QDialog ManageConnectionsDialog

DEBUG:PyQt4.uic.uiparser:push QVBoxLayout verticalLayout

DEBUG:PyQt4.uic.uiparser:push QHBoxLayout horizontalLayout

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel label

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label

DEBUG:PyQt4.uic.uiparser:new topwidget ManageConnectionsDialog

DEBUG:PyQt4.uic.uiparser:push QLineEdit leFileName
DEBUG:PyQt4.uic.uiparser:pop widget QLineEdit leFileName

DEBUG:PyQt4.uic.uiparser:new topwidget ManageConnectionsDialog

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnBrowse

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnBrowse

DEBUG:PyQt4.uic.uiparser:new topwidget ManageConnectionsDialog

DEBUG:PyQt4.uic.uiparser:pop layout QHBoxLayout horizontalLayout

DEBUG:PyQt4.uic.properties:setting property editTriggers

DEBUG:PyQt4.uic.properties:setting property alternatingRowColors

DEBUG:PyQt4.uic.properties:setting property selectionMode

DEBUG:PyQt4.uic.uiparser:push QListWidget listConnections

DEBUG:PyQt4.uic.uiparser:pop widget QListWidget listConnections

DEBUG:PyQt4.uic.uiparser:new topwidget ManageConnectionsDialog

DEBUG:PyQt4.uic.properties:setting property orientation

DEBUG:PyQt4.uic.properties:setting property standardButtons

DEBUG:PyQt4.uic.uiparser:push QDialogButtonBox buttonBox

DEBUG:PyQt4.uic.uiparser:pop widget QDialogButtonBox buttonBox

DEBUG:PyQt4.uic.uiparser:new topwidget ManageConnectionsDialog

DEBUG:PyQt4.uic.uiparser:pop layout QVBoxLayout verticalLayout

DEBUG:PyQt4.uic.uiparser:pop widget QDialog ManageConnectionsDialog

DEBUG:PyQt4.uic.uiparser:new topwidget None

DEBUG:PyQt4.uic.uiparser:UI version is 4.0

DEBUG:PyQt4.uic.uiparser:uiname is NewConnectionDialog

DEBUG:PyQt4.uic.uiparser:toplevel widget is QDialog

DEBUG:PyQt4.uic.properties:setting property geometry

DEBUG:PyQt4.uic.properties:setting property windowTitle

DEBUG:PyQt4.uic.uiparser:push QDialog NewConnectionDialog

DEBUG:PyQt4.uic.uiparser:push QGridLayout gridLayout

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel label

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label

DEBUG:PyQt4.uic.uiparser:new topwidget NewConnectionDialog

DEBUG:PyQt4.uic.uiparser:push QLineEdit leName

DEBUG:PyQt4.uic.uiparser:pop widget QLineEdit leName

DEBUG:PyQt4.uic.uiparser:new topwidget NewConnectionDialog

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel label_2

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label_2

DEBUG:PyQt4.uic.uiparser:new topwidget NewConnectionDialog

DEBUG:PyQt4.uic.uiparser:push QLineEdit leURL

DEBUG:PyQt4.uic.uiparser:pop widget QLineEdit leURL

DEBUG:PyQt4.uic.uiparser:new topwidget NewConnectionDialog

DEBUG:PyQt4.uic.properties:setting property orientation

DEBUG:PyQt4.uic.properties:setting property standardButtons

DEBUG:PyQt4.uic.uiparser:push QDialogButtonBox buttonBox

DEBUG:PyQt4.uic.uiparser:pop widget QDialogButtonBox buttonBox

DEBUG:PyQt4.uic.uiparser:new topwidget NewConnectionDialog

DEBUG:PyQt4.uic.uiparser:pop layout QGridLayout gridLayout

DEBUG:PyQt4.uic.uiparser:pop widget QDialog NewConnectionDialog

DEBUG:PyQt4.uic.uiparser:new topwidget None

DEBUG:PyQt4.uic.uiparser:UI version is 4.0

DEBUG:PyQt4.uic.uiparser:uiname is RecordDialog

DEBUG:PyQt4.uic.uiparser:toplevel widget is QDialog
DEBUG:PyQt4.uic.properties:setting property geometry

DEBUG:PyQt4.uic.properties:setting property windowTitle

DEBUG:PyQt4.uic.uiparser:push QDialog RecordDialog

DEBUG:PyQt4.uic.uiparser:push QVBoxLayout verticalLayout

DEBUG:PyQt4.uic.properties:setting property lineWrapMode

DEBUG:PyQt4.uic.properties:setting property openExternalLinks

DEBUG:PyQt4.uic.uiparser:push QTextBrowser textMetadata

DEBUG:PyQt4.uic.uiparser:pop widget QTextBrowser textMetadata

DEBUG:PyQt4.uic.uiparser:new topwidget RecordDialog

DEBUG:PyQt4.uic.properties:setting property orientation

DEBUG:PyQt4.uic.properties:setting property standardButtons

DEBUG:PyQt4.uic.uiparser:push QDialogButtonBox buttonBox

DEBUG:PyQt4.uic.uiparser:pop widget QDialogButtonBox buttonBox

DEBUG:PyQt4.uic.uiparser:new topwidget RecordDialog

DEBUG:PyQt4.uic.uiparser:pop layout QVBoxLayout verticalLayout

DEBUG:PyQt4.uic.uiparser:pop widget QDialog RecordDialog

DEBUG:PyQt4.uic.uiparser:new topwidget None

DEBUG:PyQt4.uic.uiparser:UI version is 4.0

DEBUG:PyQt4.uic.uiparser:uiname is XMLDialog

DEBUG:PyQt4.uic.uiparser:toplevel widget is QDialog

DEBUG:PyQt4.uic.properties:setting property geometry

DEBUG:PyQt4.uic.properties:setting property windowTitle

DEBUG:PyQt4.uic.uiparser:push QDialog XMLDialog

DEBUG:PyQt4.uic.uiparser:push QVBoxLayout verticalLayout

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel lblXMLRequest

DEBUG:PyQt4.uic.uiparser:pop widget QLabel lblXMLRequest

DEBUG:PyQt4.uic.uiparser:new topwidget XMLDialog

DEBUG:PyQt4.uic.uiparser:push QTextBrowser txtbrXMLRequest

DEBUG:PyQt4.uic.uiparser:pop widget QTextBrowser txtbrXMLRequest

DEBUG:PyQt4.uic.uiparser:new topwidget XMLDialog

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel lblXMLResponse

DEBUG:PyQt4.uic.uiparser:pop widget QLabel lblXMLResponse

DEBUG:PyQt4.uic.uiparser:new topwidget XMLDialog

DEBUG:PyQt4.uic.properties:setting property lineWrapMode

DEBUG:PyQt4.uic.properties:setting property openExternalLinks

DEBUG:PyQt4.uic.uiparser:push QTextBrowser txtbrXMLResponse

DEBUG:PyQt4.uic.uiparser:pop widget QTextBrowser txtbrXMLResponse

DEBUG:PyQt4.uic.uiparser:new topwidget XMLDialog

DEBUG:PyQt4.uic.properties:setting property orientation

DEBUG:PyQt4.uic.properties:setting property standardButtons

DEBUG:PyQt4.uic.uiparser:push QDialogButtonBox buttonBox

DEBUG:PyQt4.uic.uiparser:pop widget QDialogButtonBox buttonBox

DEBUG:PyQt4.uic.uiparser:new topwidget XMLDialog

DEBUG:PyQt4.uic.uiparser:pop layout QVBoxLayout verticalLayout

DEBUG:PyQt4.uic.uiparser:pop widget QDialog XMLDialog

DEBUG:PyQt4.uic.uiparser:new topwidget None

DEBUG:PyQt4.uic.uiparser:UI version is 4.0

DEBUG:PyQt4.uic.uiparser:uiname is MetaSearchDialog

DEBUG:PyQt4.uic.uiparser:toplevel widget is QDialog

DEBUG:PyQt4.uic.properties:setting property geometry

DEBUG:PyQt4.uic.properties:setting property windowTitle
DEBUG:PyQt4.uic.uiparser:push QDialog MetaSearchDialog

DEBUG:PyQt4.uic.uiparser:push QVBoxLayout verticalLayout

DEBUG:PyQt4.uic.properties:setting property currentIndex

DEBUG:PyQt4.uic.uiparser:push QTabWidget tabWidget

DEBUG:PyQt4.uic.uiparser:push QWidget tabSearch

DEBUG:PyQt4.uic.uiparser:push QVBoxLayout verticalLayout_2

DEBUG:PyQt4.uic.properties:setting property sizePolicy

DEBUG:PyQt4.uic.properties:setting property title

DEBUG:PyQt4.uic.uiparser:push QGroupBox groupBox

DEBUG:PyQt4.uic.uiparser:push QGridLayout gridLayout_3

DEBUG:PyQt4.uic.properties:setting property sizePolicy

DEBUG:PyQt4.uic.uiparser:push QLineEdit leKeywords

DEBUG:PyQt4.uic.uiparser:pop widget QLineEdit leKeywords

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel label_3

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label_3

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnCanvasBbox

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnCanvasBbox

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnSearch

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnSearch

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnGlobalBbox

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnGlobalBbox

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property sizePolicy

DEBUG:PyQt4.uic.uiparser:push QComboBox cmbConnectionsSearch

DEBUG:PyQt4.uic.uiparser:pop widget QComboBox cmbConnectionsSearch

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.uiparser:push QGridLayout gridLayout_2

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel label_4

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label_4

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property enabled

DEBUG:PyQt4.uic.properties:setting property minimumSize

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLineEdit leEast

DEBUG:PyQt4.uic.uiparser:pop widget QLineEdit leEast

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel label_7

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label_7

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property minimumSize

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLineEdit leNorth

DEBUG:PyQt4.uic.uiparser:pop widget QLineEdit leNorth
DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel label_6

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label_6

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property minimumSize

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLineEdit leWest

DEBUG:PyQt4.uic.uiparser:pop widget QLineEdit leWest

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel label_8

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label_8

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.properties:setting property minimumSize

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLineEdit leSouth

DEBUG:PyQt4.uic.uiparser:pop widget QLineEdit leSouth

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.uiparser:pop layout QGridLayout gridLayout_2

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel label

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox

DEBUG:PyQt4.uic.uiparser:pop layout QGridLayout gridLayout_3

DEBUG:PyQt4.uic.uiparser:pop widget QGroupBox groupBox

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabSearch

DEBUG:PyQt4.uic.properties:setting property sizePolicy

DEBUG:PyQt4.uic.properties:setting property title

DEBUG:PyQt4.uic.uiparser:push QGroupBox groupBox_2

DEBUG:PyQt4.uic.uiparser:push QGridLayout gridLayout_5

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel lblResults

DEBUG:PyQt4.uic.uiparser:pop widget QLabel lblResults

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_2

DEBUG:PyQt4.uic.properties:setting property toolTip

DEBUG:PyQt4.uic.properties:setting property editTriggers

DEBUG:PyQt4.uic.properties:setting property alternatingRowColors

DEBUG:PyQt4.uic.properties:setting property rootIsDecorated

DEBUG:PyQt4.uic.properties:setting property itemsExpandable

DEBUG:PyQt4.uic.properties:setting property sortingEnabled

DEBUG:PyQt4.uic.properties:setting property allColumnsShowFocus

DEBUG:PyQt4.uic.uiparser:push QTreeWidget treeRecords

DEBUG:PyQt4.uic.uiparser:pop widget QTreeWidget treeRecords

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_2

DEBUG:PyQt4.uic.properties:setting property minimumSize

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnPrev

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnPrev

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_2

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnShowXml

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnShowXml
DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_2

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnFirst

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnFirst

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_2

DEBUG:PyQt4.uic.properties:setting property sizePolicy

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnAddToWms

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnAddToWms

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_2

DEBUG:PyQt4.uic.properties:setting property sizePolicy

DEBUG:PyQt4.uic.properties:setting property minimumSize

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnAddToWfs

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnAddToWfs

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_2

DEBUG:PyQt4.uic.properties:setting property minimumSize

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnLast

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnLast

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_2

DEBUG:PyQt4.uic.properties:setting property sizePolicy

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnAddToWcs

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnAddToWcs

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_2

DEBUG:PyQt4.uic.properties:setting property minimumSize

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnNext

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnNext

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_2

DEBUG:PyQt4.uic.uiparser:pop layout QGridLayout gridLayout_5

DEBUG:PyQt4.uic.uiparser:pop widget QGroupBox groupBox_2

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabSearch

DEBUG:PyQt4.uic.uiparser:pop layout QVBoxLayout verticalLayout_2

DEBUG:PyQt4.uic.uiparser:pop widget QWidget tabSearch

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabWidget

DEBUG:PyQt4.uic.uiparser:push QWidget tabServers

DEBUG:PyQt4.uic.uiparser:push QGridLayout gridLayout

DEBUG:PyQt4.uic.uiparser:push QComboBox cmbConnectionsServices

DEBUG:PyQt4.uic.uiparser:pop widget QComboBox cmbConnectionsServices

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabServers

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnServerInfo

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnServerInfo

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabServers

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnCapabilities

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnCapabilities

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabServers

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnNew

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnNew
DEBUG:PyQt4.uic.uiparser:new topwidget self.tabServers

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnEdit

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnEdit

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabServers

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnDelete

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnDelete

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabServers

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnSave

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnSave

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabServers

DEBUG:PyQt4.uic.properties:setting property openExternalLinks

DEBUG:PyQt4.uic.uiparser:push QTextBrowser textMetadata

DEBUG:PyQt4.uic.uiparser:pop widget QTextBrowser textMetadata

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabServers

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnAddDefault

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnAddDefault

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabServers

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QPushButton btnLoad

DEBUG:PyQt4.uic.uiparser:pop widget QPushButton btnLoad

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabServers

DEBUG:PyQt4.uic.uiparser:pop layout QGridLayout gridLayout

DEBUG:PyQt4.uic.uiparser:pop widget QWidget tabServers

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabWidget

DEBUG:PyQt4.uic.uiparser:push QWidget tabSettings

DEBUG:PyQt4.uic.properties:setting property geometry

DEBUG:PyQt4.uic.properties:setting property title

DEBUG:PyQt4.uic.uiparser:push QGroupBox groupBox_3

DEBUG:PyQt4.uic.properties:setting property geometry

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel label_5

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label_5

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_3

DEBUG:PyQt4.uic.properties:setting property geometry

DEBUG:PyQt4.uic.uiparser:push QSpinBox spnRecords

DEBUG:PyQt4.uic.uiparser:pop widget QSpinBox spnRecords

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_3

DEBUG:PyQt4.uic.properties:setting property geometry

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.properties:setting property alignment

DEBUG:PyQt4.uic.uiparser:push QLabel label_2

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label_2

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_3

DEBUG:PyQt4.uic.uiparser:pop widget QGroupBox groupBox_3

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabSettings

DEBUG:PyQt4.uic.properties:setting property geometry

DEBUG:PyQt4.uic.properties:setting property title

DEBUG:PyQt4.uic.uiparser:push QGroupBox groupBox_4

DEBUG:PyQt4.uic.properties:setting property geometry
DEBUG:PyQt4.uic.properties:setting property value

DEBUG:PyQt4.uic.uiparser:push QSpinBox spnTimeout

DEBUG:PyQt4.uic.uiparser:pop widget QSpinBox spnTimeout

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_4

DEBUG:PyQt4.uic.properties:setting property geometry

DEBUG:PyQt4.uic.properties:setting property text

DEBUG:PyQt4.uic.uiparser:push QLabel label_9

DEBUG:PyQt4.uic.uiparser:pop widget QLabel label_9

DEBUG:PyQt4.uic.uiparser:new topwidget self.groupBox_4

DEBUG:PyQt4.uic.uiparser:pop widget QGroupBox groupBox_4

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabSettings

DEBUG:PyQt4.uic.uiparser:pop widget QWidget tabSettings

DEBUG:PyQt4.uic.uiparser:new topwidget self.tabWidget

DEBUG:PyQt4.uic.uiparser:pop widget QTabWidget tabWidget

DEBUG:PyQt4.uic.uiparser:new topwidget MetaSearchDialog

DEBUG:PyQt4.uic.properties:setting property orientation

DEBUG:PyQt4.uic.properties:setting property standardButtons

DEBUG:PyQt4.uic.uiparser:push QDialogButtonBox buttonBox

DEBUG:PyQt4.uic.uiparser:pop widget QDialogButtonBox buttonBox

DEBUG:PyQt4.uic.uiparser:new topwidget MetaSearchDialog

DEBUG:PyQt4.uic.uiparser:pop layout QVBoxLayout verticalLayout

DEBUG:PyQt4.uic.uiparser:pop widget QDialog MetaSearchDialog

DEBUG:PyQt4.uic.uiparser:new topwidget None

ERROR 6: EPSG PCS/GCS code 102164 not found in EPSG support files.  Is this a valid

EPSG coordinate system?

*** Error in `qgis': double free or corruption (fasttop): 0x0000000003f5b450 ***

Aborted

#2 - 2015-02-24 12:45 PM - Spencer Gardner

Correct - WFS. Sorry for the typo.

WFS worked well for me in previous releases but I hadn't tried this particular WFS endpoint until after I upgraded to 2.8.

#3 - 2015-02-24 01:19 PM - Giovanni Manghi

- Priority changed from High to Severe/Regression

- Status changed from Feedback to Open

- Target version set to Version 2.8.1

was ok on 2.6.1

#4 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.1 to Version 2.8.2

#5 - 2015-05-10 02:01 AM - Giovanni Manghi

to test use
#6 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#7 - 2015-05-21 04:58 AM - Saber Razmjooei

- Status changed from Open to Feedback

I tried to save one of the layers as spatialite. But it came up with an error:

Export to vector file failed.

Error: Feature write errors:

Feature creation error (OGR error: sqlite3_step() failed:

  wfs.GEOMETRY violates Geometry constraint [geom-type or SRID not allowed] (19))

Only 3825 of 3826 features written.

Seems to be a problem with a feature. But still, crashing should not happen.

#8 - 2015-05-27 12:45 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Target version changed from Version 2.10 to Future Release - High Priority

#9 - 2015-06-02 12:59 PM - Giovanni Manghi

Now it crashes when adding a layer from the above service

    -  Error in `qgis': double free or corruption (fasttop): 0x000000000196a8b0 ***

Aborted

#10 - 2015-06-02 03:21 PM - Jürgen Fischer

Giovanni Manghi wrote:

Now it crashes when adding a layer from the above service

    -  Error in `qgis': double free or corruption (fasttop): 0x000000000196a8b0 ***

Aborted

fixed in commit:6a019ad

#11 - 2015-06-06 06:58 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented
